Create a new Vdp Email
curl --request POST \
--url https://commerce.driv.ly/api/vdpEmails \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"updatedAt": "<string>",
"createdAt": "<string>",
"lead": 123,
"vins": [
123
],
"createdBy": 123,
"lastModifiedBy": 123,
"vinCount": "<string>"
}
'import requests
url = "https://commerce.driv.ly/api/vdpEmails"
payload = {
"updatedAt": "<string>",
"createdAt": "<string>",
"lead": 123,
"vins": [123],
"createdBy": 123,
"lastModifiedBy": 123,
"vinCount": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
updatedAt: '<string>',
createdAt: '<string>',
lead: 123,
vins: [123],
createdBy: 123,
lastModifiedBy: 123,
vinCount: '<string>'
})
};
fetch('https://commerce.driv.ly/api/vdpEmails', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"doc": {
"updatedAt": "<string>",
"createdAt": "<string>",
"lead": 123,
"vins": [
123
],
"createdBy": 123,
"lastModifiedBy": 123,
"vinCount": "<string>"
},
"message": "<string>"
}VDP Emails
Create a new Vdp Email
Create a new Vdp Email
POST
/
vdpEmails
Create a new Vdp Email
Usage with the Drivly SDK
Usage with the Drivly SDK
Make sure you install our SDK first. You can find out how, and more here.
import { SDK } from '@drivly/commerce'
import type { vdpEmails } from '@drivly/commerce'
const sdk = new SDK(...)
const vdpEmails = await sdk.vdpEmails.create(data: vdpEmails): Promise<vdpEmails>
Authorizations
Query Parameters
number of levels to automatically populate relationships and uploads
retrieves document(s) in a specific locale
specifies a fallback locale if no locale value exists
Body
application/json
⌘I